日々精進

新しく学んだことを書き留めていきます

VagrantからEC2インスタンスを起動しようとすると「InvalidParameterCombination => Virtualization type 'hvm' is required for instances of type 't2.micro'.」エラー

原因はt2インスタンスVPC専用だが、AMIがVPC用でなかったため。
VPC用デフォルトAmazon Linuxのイメージを選択したら直った。
参考:EC2 t2.x instance type requirement - RightScale Technical Support